# Slideshow S9 Config

A configuration for [Slideshow s9][slideshow-s9] that i use to create my
slides.

## Usage

Clone this repository (or add it as a submodule to your own) to a known
directory (say `slideshow-s9-config`).

Install Slideshow S9 on your machine

    $ gem install slideshow

Write a markdown slides file (e.g. myslides.md)

    title: CS1811 - Lecture 00 - Welcome to CS1811
    author: Matthew Hague, Julien Lange
    css: css/cs1811.css

    !SLIDE_HERE

    # CS1811
    # Welcome
    ## Matthew Hague, Julien Lange

    !SLIDE_DOWN concept

    # Module Outcomes

    Goal: learning object oriented programming

    * Focus on language constructs
    * Uses Java
    * Concepts apply elsewhere

    Textbook: Java Concisely

Copy slideshow.yml to the same directory as myslides.md

    $ cp slideshow-s9-config/slideshow.yml ./

Then compile

    $ slideshow -c slideshow-s9-config build -t impress.cs myslides.md

This produces an HTML file

    $ mybrowser chapter1.html

You can progress slides by pressing ->.

Notice that myslides.md imports a css file that you have to create
yourself. A sample is in cs1811.css in this repository.

Uh, simple?

## Distributing Slides

The produced HTML file is not standalone -- the images, styling, and JavaScript will all be in separate files that are loaded when the page is loaded.

To make distribution easier, you can collate everything into one HTML file using an inlining tool. I use [inliner][inliner]. With inliner i run:

    $ inliner --nosvg --skip-absolute-urls chapter1.html > chapter1-dist.html

[slideshow-s9]: http://slideshow-s9.github.io/
[inliner]: https://github.com/remy/inliner
